SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros | Typedefs
SocketIncludes.h File Reference
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/socket.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <fcntl.h>`

Go to the source code of this file.

## Macros

#define | _PP_Instance_ int
#define | closesocket close

## Typedefs

typedef int | __UDPSOCKET__
| Unix/Linux uses ints for sockets.
typedef int | __TCPSOCKET__

## Macro Definition Documentation

#define _PP_Instance_ int

Definition at line 19 of file SocketIncludes.h.

#define closesocket close

Definition at line 63 of file SocketIncludes.h.

## Typedef Documentation

typedef int __TCPSOCKET__

Definition at line 103 of file SocketIncludes.h.

typedef int __UDPSOCKET__

Unix/Linux uses ints for sockets.

Definition at line 102 of file SocketIncludes.h.